Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.servlet.util
Class ServletServiceUtils

    java.lang.Object
      org.apache.cocoon.servlet.util.ServletServiceUtils

    public class ServletServiceUtils

extends Object

Nested Class Summary
`static class` | `ServletServiceUtils.ServletServiceException` A general purpose `RuntimeException` that is used to indicate any problem with accessing a servlet-service.

Constructor Summary
`ServletServiceUtils()`

Method Summary
`static InputStream` | `getServletServiceResource(Servlet servlet, String resourcePath)` Get an `InputStream` of a Servlet that is a servlet-service as defined by the Cocoon Servlet-Service framework.
`static InputStream` | `getServletServiceResource(Servlet servlet, String resourcePath, String query)` Get an `InputStream` of a Servlet that is a servlet-service as defined by the Cocoon Servlet-Service framework.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletServiceUtils

    public ServletServiceUtils()

Method Detail

### getServletServiceResource

    public static InputStream getServletServiceResource(Servlet servlet,
                                                        String resourcePath)

  Get an `InputStream` of a Servlet that is a servlet-service as defined by the Cocoon Servlet-Service framework.

  Parameters:
    `servlet` - The Servlet-Service reference.
    `resourcePath` - The absolute resource path.
  Returns:
    An InputStream of the resource.
  Throws:
    `ServletServiceUtils.ServletServiceException` - If any problem occurs, this unchecked exception is thrown.

### getServletServiceResource

    public static InputStream getServletServiceResource(Servlet servlet,
                                                        String resourcePath,
                                                        String query)

  Get an `InputStream` of a Servlet that is a servlet-service as defined by the Cocoon Servlet-Service framework.

  Parameters:
    `servlet` - The Servlet-Service reference.
    `resourcePath` - The absolute resource path.
    `query` - The query string.
  Returns:
    An InputStream of the resource.
  Throws:
    `ServletServiceUtils.ServletServiceException` - If any problem occurs, this unchecked exception is thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.